Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 294147 - (rekeyword and) stabilize x11-libs/fltk-{1.1.9-r1,2.0_pre6786-r1}
Summary: (rekeyword and) stabilize x11-libs/fltk-{1.1.9-r1,2.0_pre6786-r1}
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Desktop Misc. Team
URL:
Whiteboard:
Keywords: KEYWORDREQ, STABLEREQ
Depends on: glibc-2.10-stable
Blocks:
  Show dependency tree
 
Reported: 2009-11-23 09:36 UTC by Markus Meier
Modified: 2010-02-08 20:14 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Meier gentoo-dev 2009-11-23 09:36:58 UTC
it's needed for glibc-2.10 stabilization. it looks like some keywords have been dropped by these bumps, nfc why - yngwin?

fltk-1.1.9.ebuild:KEYWORDS="~alpha amd64 ~hppa ~ia64 ~mips ppc ~ppc64 ~sparc x86 ~x86-fbsd"
fltk-1.1.9-r1.ebuild:KEYWORDS="~amd64 ~ia64 ~x86"
fltk-2.0_pre6786.ebuild:KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86"
fltk-2.0_pre6786-r1.ebuild:KEYWORDS="~amd64 ~ia64 ~x86"
Comment 1 Markus Meier gentoo-dev 2009-11-25 13:54:35 UTC
  25 Nov 2009; Markus Meier <maekke@gentoo.org> fltk-2.0_pre6786-r1.ebuild:
  restore ~arm keyword, bug #294147
Comment 2 Jeroen Roovers (RETIRED) gentoo-dev 2009-12-03 06:21:38 UTC
(In reply to comment #0)
> it's needed for glibc-2.10 stabilization. it looks like some keywords have been
> dropped by these bumps, nfc why - yngwin?

Because of the dependency on the previously not keyworded sys-libs/glibc-2.10. Diff the ebuilds and you'll see.

Marked ~hppa again.
Comment 3 Christian Faulhammer (RETIRED) gentoo-dev 2009-12-11 11:22:02 UTC
hppa needs to stable this for glibc 2.10, so readding
Comment 4 Samuli Suominen gentoo-dev 2010-01-10 14:53:46 UTC
amd64 stable
Comment 5 Christian Faulhammer (RETIRED) gentoo-dev 2010-01-10 15:21:02 UTC
x86 stable
Comment 6 nixnut (RETIRED) gentoo-dev 2010-01-10 17:51:50 UTC
~ppc'd
Comment 7 Tobias Klausmann gentoo-dev 2010-01-16 12:15:12 UTC
Keyworded 1.1.9-r1 and 2.0_pre6786-r1 on alpha - which I hope is what you wanted.
Comment 8 Raúl Porcel (RETIRED) gentoo-dev 2010-01-16 14:50:39 UTC
~sparc keyworded
Comment 9 Markus Meier gentoo-dev 2010-01-20 19:45:03 UTC
arm stable
Comment 10 Raúl Porcel (RETIRED) gentoo-dev 2010-01-22 18:32:36 UTC
alpha/ia64/sparc stable
Comment 11 Brent Baude (RETIRED) gentoo-dev 2010-01-23 15:46:43 UTC
~ppc64
Comment 12 Jeroen Roovers (RETIRED) gentoo-dev 2010-02-07 17:50:45 UTC
Stable for HPPA.
Comment 13 Jeroen Roovers (RETIRED) gentoo-dev 2010-02-08 20:14:24 UTC
I guess this is fixed, although 1.1.10 is now in the tree.